<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{7CC62835-4ADE-4A92-A68C-290AF3EDA443}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Machinations</RootNamespace>
    <AssemblyName>Machinations</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <UseVSHostingProcess>true</UseVSHostingProcess>
    <DocumentationFile>bin\Debug\Machinations.XML</DocumentationFile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="GongSolutions.Wpf.DragDrop, Version=1.1.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\gong-wpf-dragdrop.1.1.0\lib\net45\GongSolutions.Wpf.DragDrop.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xaml">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="Xceed.Wpf.AvalonDock, Version=3.0.0.0, Culture=neutral, PublicKeyToken=3e4669d2f30244f4, processorArchitecture=MSIL">
      <HintPath>..\packages\Extended.Wpf.Toolkit.3.0\lib\net40\Xceed.Wpf.AvalonDock.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Xceed.Wpf.AvalonDock.Themes.Aero, Version=3.0.0.0, Culture=neutral, PublicKeyToken=3e4669d2f30244f4, processorArchitecture=MSIL">
      <HintPath>..\packages\Extended.Wpf.Toolkit.3.0\lib\net40\Xceed.Wpf.AvalonDock.Themes.Aero.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Xceed.Wpf.AvalonDock.Themes.Metro, Version=3.0.0.0, Culture=neutral, PublicKeyToken=3e4669d2f30244f4, processorArchitecture=MSIL">
      <HintPath>..\packages\Extended.Wpf.Toolkit.3.0\lib\net40\Xceed.Wpf.AvalonDock.Themes.Metro.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Xceed.Wpf.AvalonDock.Themes.VS2010, Version=3.0.0.0, Culture=neutral, PublicKeyToken=3e4669d2f30244f4, processorArchitecture=MSIL">
      <HintPath>..\packages\Extended.Wpf.Toolkit.3.0\lib\net40\Xceed.Wpf.AvalonDock.Themes.VS2010.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Xceed.Wpf.DataGrid, Version=3.0.0.0, Culture=neutral, PublicKeyToken=3e4669d2f30244f4, processorArchitecture=MSIL">
      <HintPath>..\packages\Extended.Wpf.Toolkit.3.0\lib\net40\Xceed.Wpf.DataGrid.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Xceed.Wpf.Toolkit, Version=3.0.0.0, Culture=neutral, PublicKeyToken=3e4669d2f30244f4, processorArchitecture=MSIL">
      <HintPath>..\packages\Extended.Wpf.Toolkit.3.0\lib\net40\Xceed.Wpf.Toolkit.dll</HintPath>
      <Private>True</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="FromFlash\graph\ConnectionClass.cs" />
    <Compile Include="FromFlash\graph\NodeClass.cs" />
    <Compile Include="FromFlash\machinations\model\IPreparable.cs" />
    <Compile Include="FromFlash\machinations\model\IMergedConnection.cs" />
    <Compile Include="Log\ActionLog.cs" />
    <Compile Include="Log\ILog.cs" />
    <Compile Include="Log\SimulationLog.cs" />
    <Compile Include="Status\CardStatus.cs" />
    <Compile Include="Status\DelayStatus.cs" />
    <Compile Include="Status\GraphStatus.cs" />
    <Compile Include="Status\RegisterStatus.cs" />
    <Compile Include="UserComponents\CardTemplate.cs" />
    <Compile Include="UserComponents\IInOut.cs" />
    <Compile Include="UserComponents\InnerInOut.cs" />
    <Compile Include="UserComponents\InOutBase.cs" />
    <Compile Include="UserComponents\IUserComponentInstance.cs" />
    <Compile Include="MachinationsVariables.cs" />
    <Compile Include="Description\NodesDescription.cs" />
    <Compile Include="FromFlash\graph\IGraph.cs" />
    <Compile Include="FromFlash\graph\UserComponentGraph.cs" />
    <Compile Include="FromFlash\machinations\model\DistributionMode.cs" />
    <Compile Include="FromFlash\machinations\model\TimeMode.cs" />
    <Compile Include="GUI\ConnectionView.cs" />
    <Compile Include="GUI\IComponentView.cs" />
    <Compile Include="GUI\InOutOuterView.cs" />
    <Compile Include="GUI\InOutView.cs" />
    <Compile Include="GUI\PointObjectView.cs" />
    <Compile Include="GUI\SimlinkView.cs" />
    <Compile Include="GUI\InOutInnerView.cs" />
    <Compile Include="GUI\UserComponentView.cs" />
    <Compile Include="UserComponents\CardInstance.cs" />
    <Compile Include="UserComponents\IUserComponentSchema.cs" />
    <Compile Include="ProgramControlUtils.cs" />
    <Compile Include="RandomUtils.cs" />
    <Compile Include="SimlinkModel.cs" />
    <Compile Include="Status\ConnectionStatus.cs" />
    <Compile Include="Status\PoolStatus.cs" />
    <Compile Include="Status\StatusHandler.cs" />
    <Compile Include="Status\IElementStatus.cs" />
    <Compile Include="Status\TypesWithStatuses.cs" />
    <Compile Include="UserComponents\Cards.cs" />
    <Compile Include="UserComponents\MergedConnectionKey.cs" />
    <Compile Include="UserComponents\MergedInOut.cs" />
    <Compile Include="UserComponents\OuterInOut.cs" />
    <Compile Include="UserComponents\UcInstanceBase.cs" />
    <Compile Include="UserComponents\UserComponent.cs" />
    <Compile Include="UserComponents\UserComponentType.cs" />
    <Compile Include="ViewSelectionMode.cs" />
    <Compile Include="WPF\CardsOrderEditor.xaml.cs">
      <DependentUpon>CardsOrderEditor.xaml</DependentUpon>
    </Compile>
    <Compile Include="WPF\ComponentsSettings.xaml.cs">
      <DependentUpon>ComponentsSettings.xaml</DependentUpon>
    </Compile>
    <Compile Include="WPF\Converters\InverseBoolConverter.cs" />
    <Compile Include="WPF\Converters\TurnBasedTimeModeToVisibConverter.cs" />
    <Compile Include="WPF\GraphControl.xaml.cs">
      <DependentUpon>GraphControl.xaml</DependentUpon>
    </Compile>
    <Compile Include="WPF\ProgramControl.xaml.cs">
      <DependentUpon>ProgramControl.xaml</DependentUpon>
    </Compile>
    <ApplicationDefinition Include="App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Compile Include="WPF\SimulationControl.xaml.cs">
      <DependentUpon>SimulationControl.xaml</DependentUpon>
    </Compile>
    <Compile Include="WPF\UserComponentControlView.xaml.cs">
      <DependentUpon>UserComponentControlView.xaml</DependentUpon>
    </Compile>
    <Compile Include="WPF\UserComponentEditor.xaml.cs">
      <DependentUpon>UserComponentEditor.xaml</DependentUpon>
    </Compile>
    <Page Include="WPF\CardsOrderEditor.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WPF\ComponentsSettings.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WPF\GraphControl.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WPF\ProgramControl.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WPF\MainWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Compile Include="ColorsUtils.cs" />
    <Compile Include="FromFlash\graph\Graph.cs" />
    <Compile Include="FromFlash\graph\GraphConnection.cs" />
    <Compile Include="FromFlash\graph\GraphConnectionType.cs" />
    <Compile Include="FromFlash\graph\GraphElement.cs" />
    <Compile Include="FromFlash\graph\GraphEvent.cs" />
    <Compile Include="FromFlash\graph\GraphNode.cs" />
    <Compile Include="FromFlash\graph\GraphSymbol.cs" />
    <Compile Include="FromFlash\machinations\model\APInstruction.cs" />
    <Compile Include="FromFlash\machinations\model\ArtificialPlayer.cs" />
    <Compile Include="FromFlash\machinations\model\Converter.cs" />
    <Compile Include="FromFlash\machinations\model\Delay.cs" />
    <Compile Include="FromFlash\machinations\model\Drain.cs" />
    <Compile Include="FromFlash\machinations\model\EndCondition.cs" />
    <Compile Include="FromFlash\machinations\model\Gate.cs" />
    <Compile Include="FromFlash\machinations\model\Label.cs" />
    <Compile Include="FromFlash\machinations\model\MachinationsConnection.cs" />
    <Compile Include="FromFlash\machinations\model\MachinationsExpression.cs" />
    <Compile Include="FromFlash\machinations\model\MachinationsGrammar.cs" />
    <Compile Include="FromFlash\machinations\model\MachinationsGraph.cs" />
    <Compile Include="FromFlash\machinations\model\MachinationsNode.cs" />
    <Compile Include="FromFlash\machinations\model\MachinationsRegisterExpression.cs" />
    <Compile Include="FromFlash\machinations\model\MachinationsScriptExpression.cs" />
    <Compile Include="FromFlash\machinations\model\Pool.cs" />
    <Compile Include="FromFlash\machinations\model\Register.cs" />
    <Compile Include="FromFlash\machinations\model\Resource.cs" />
    <Compile Include="FromFlash\machinations\model\ResourceConnection.cs" />
    <Compile Include="FromFlash\machinations\model\Source.cs" />
    <Compile Include="FromFlash\machinations\model\StateConnection.cs" />
    <Compile Include="FromFlash\machinations\model\Trader.cs" />
    <Compile Include="FromFlash\utils\StringUtils.cs" />
    <Compile Include="GeometryUtils.cs" />
    <Compile Include="GUI\ArtifitialPlayerView.cs" />
    <Compile Include="GUI\DelayView.cs" />
    <Compile Include="GUI\ConverterView.cs" />
    <Compile Include="GUI\DrainView.cs" />
    <Compile Include="GUI\EndConditionView.cs" />
    <Compile Include="GUI\RegisterView.cs" />
    <Compile Include="GUI\SourceView.cs" />
    <Compile Include="GUI\TraderView.cs" />
    <Compile Include="GUI\StateConnectionView.cs" />
    <Compile Include="GUI\IConnectionView.cs" />
    <Compile Include="GUI\INodeView.cs" />
    <Compile Include="GUI\IObjectView.cs" />
    <Compile Include="GUI\GateView.cs" />
    <Compile Include="GUI\NodeView.cs" />
    <Compile Include="GUI\ResourceConnectionView.cs" />
    <Compile Include="GUI\PoolView.cs" />
    <Compile Include="MachnationsSettings.cs" />
    <Compile Include="WPF\MainWindow.xaml.cs">
      <DependentUpon>MainWindow.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Page Include="WPF\PaintingCanvas.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WPF\SimulationControl.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WPF\UserComponentControlView.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WPF\UserComponentEditor.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="WPF\PaintingCanvas.xaml.cs">
      <DependentUpon>PaintingCanvas.xaml</DependentUpon>
    </Compile>
    <Compile Include="Properties\Annotations.cs" />
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <AppDesigner Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.5.2">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.5.2 %28x86 and x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Icons\EndCondition.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Icons\ResourceConnection.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Icons\StateConnection.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Icons\AP1.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Icons\converter.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Icons\Delay.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Icons\drain.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Icons\Gate.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Icons\Pool.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Icons\Register.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Icons\source.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Icons\trader.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>